com.jscape.inet.mft.management.descriptors

## Class PasswordServiceDescriptor

- java.lang.Object
- - com.jscape.inet.mft.management.descriptors.Configuration
  - - com.jscape.inet.mft.management.descriptors.ServiceDescriptor
    - - com.jscape.inet.mft.management.descriptors.PasswordServiceDescriptor

- All Implemented Interfaces:
    com.jscape.util.db.IntVersioned, java.io.Serializable

      public class PasswordServiceDescriptor
      extends ServiceDescriptor

  Password compliance descriptor.
  Author:
    Alex Usun
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `PasswordServiceDescriptor.PasswordNotCompliantException`
    `static class` | `PasswordServiceDescriptor.PasswordRepeatedException`
    `static class` | `PasswordServiceDescriptor.UsernameNotCompliantException`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PasswordServiceDescriptor()`
    `PasswordServiceDescriptor(java.lang.Integer minPasswordLength, java.lang.Long minPasswordAge, java.lang.Long maxPasswordAge, java.lang.Integer passwordExpirationNotificationDays, java.lang.Integer equalPasswordsHistoryLength, boolean uppercaseRequired, boolean lowercaseRequired, boolean numericRequired, boolean nonAlphaNumericRequired, boolean nonCompliantPasswordLoginDenied, boolean firstTimeLoginResetPasswordRequired, java.lang.String usernamePattern, int version)`
    `PasswordServiceDescriptor(PasswordServiceDescriptor that)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `assertLengthValid(char[] password)`
    `void` | `assertLowercaseIncluded(char[] password)`
    `void` | `assertNonAlphaNumericIncluded(char[] password)`
    `void` | `assertNotRepeated(char[] password, Account account)`
    `void` | `assertNumericIncluded(char[] password)`
    `void` | `assertUppercaseIncluded(char[] password)`
    `void` | `assertUsernameCompliant(java.lang.String username)`
    `Configuration` | `copy()`
    `java.lang.Integer` | `getEqualPasswordsHistoryLength()` Gets number of previous passwords that may not match new password.
    `java.lang.Long` | `getMaxPasswordAge()` Gets maximum password age in days.
    `java.lang.Long` | `getMinPasswordAge()` Gets minimum password age.
    `java.lang.Integer` | `getMinPasswordLength()` Gets minimum password length in characters.
    `java.lang.Integer` | `getPasswordExpirationNotificationDays()` Gets number of days before password expiration to send password change notification.
    `java.lang.String` | `getUsernamePattern()` Gets a regular expression to enforce username requirements.
    `boolean` | `isFirstTimeLoginResetPasswordRequired()` Gets whether users forced to reset password at first time that they logs in.
    `boolean` | `isLowercaseRequired()` Gets whether lowercase letters are required in password.
    `boolean` | `isNonAlphaNumericRequired()` Gets whether non-alpha-numeric characters are required in password.
    `boolean` | `isNonCompliantPasswordLoginDenied()` Gets whether login is denied if user uses a non-compliant password.
    `boolean` | `isNumericRequired()` Gets whether numeric values are required in password.
    `boolean` | `isUppercaseRequired()` Gets whether uppercase letters are required in password.
    `void` | `setEqualPasswordsHistoryLength(java.lang.Integer value)` Sets number of previous passwords that may not match new password.
    `void` | `setFirstTimeLoginResetPasswordRequired(boolean value)` Sets whether users forced to reset password at first time that they logs in.
    `void` | `setLowercaseRequired(boolean value)` Sets whether lowercase letters are required in password.
    `void` | `setMaxPasswordAge(java.lang.Long value)` Sets maximum password age in days.
    `void` | `setMinPasswordAge(java.lang.Long value)` Sets minimum password age.
    `void` | `setMinPasswordLength(java.lang.Integer value)` Sets minimum password length in characters.
    `void` | `setNonAlphaNumericRequired(boolean value)` Sets whether non-alpha-numeric characters are required in password.
    `void` | `setNonCompliantPasswordLoginDenied(boolean value)` Sets whether login is denied if user uses a non-compliant password.
    `void` | `setNumericRequired(boolean value)` Sets whether numeric values are required in password.
    `void` | `setPasswordExpirationNotificationDays(java.lang.Integer value)` Sets number of days before password expiration to send password change notification.
    `void` | `setUppercaseRequired(boolean value)` Sets whether uppercase letters are required in password.
    `void` | `setUsernamePattern(java.lang.String value)` Sets a regular expression to enforce username requirements.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class com.jscape.inet.mft.management.descriptors.Configuration

      `getVersion, setVersion`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PasswordServiceDescriptor

          public PasswordServiceDescriptor(java.lang.Integer minPasswordLength,
                                           java.lang.Long minPasswordAge,
                                           java.lang.Long maxPasswordAge,
                                           java.lang.Integer passwordExpirationNotificationDays,
                                           java.lang.Integer equalPasswordsHistoryLength,
                                           boolean uppercaseRequired,
                                           boolean lowercaseRequired,
                                           boolean numericRequired,
                                           boolean nonAlphaNumericRequired,
                                           boolean nonCompliantPasswordLoginDenied,
                                           boolean firstTimeLoginResetPasswordRequired,
                                           java.lang.String usernamePattern,
                                           int version)

    - #### PasswordServiceDescriptor

          public PasswordServiceDescriptor(PasswordServiceDescriptor that)

    - #### PasswordServiceDescriptor

          public PasswordServiceDescriptor()

  - ### Method Detail

    - #### getMinPasswordLength

          public java.lang.Integer getMinPasswordLength()

      Gets minimum password length in characters.
      Returns:
        minimum password length

    - #### setMinPasswordLength

          public void setMinPasswordLength(java.lang.Integer value)

      Sets minimum password length in characters.
      Parameters:
        `value` - minimum password length

    - #### getMinPasswordAge

          public java.lang.Long getMinPasswordAge()

      Gets minimum password age.
      Returns:
        maximum password age

    - #### setMinPasswordAge

          public void setMinPasswordAge(java.lang.Long value)

      Sets minimum password age.
      Parameters:
        `value` - maximum password age

    - #### getMaxPasswordAge

          public java.lang.Long getMaxPasswordAge()

      Gets maximum password age in days.
      Returns:
        maximum password age

    - #### setMaxPasswordAge

          public void setMaxPasswordAge(java.lang.Long value)

      Sets maximum password age in days.
      Parameters:
        `value` - maximum password age

    - #### getPasswordExpirationNotificationDays

          public java.lang.Integer getPasswordExpirationNotificationDays()

      Gets number of days before password expiration to send password change notification.
      Returns:
        number of days

    - #### setPasswordExpirationNotificationDays

          public void setPasswordExpirationNotificationDays(java.lang.Integer value)

      Sets number of days before password expiration to send password change notification.
      Parameters:
        `value` - number of days

    - #### getEqualPasswordsHistoryLength

          public java.lang.Integer getEqualPasswordsHistoryLength()

      Gets number of previous passwords that may not match new password.
      Returns:
        number of previous passwords

    - #### setEqualPasswordsHistoryLength

          public void setEqualPasswordsHistoryLength(java.lang.Integer value)

      Sets number of previous passwords that may not match new password.
      Parameters:
        `value` - number of previous passwords

    - #### isUppercaseRequired

          public boolean isUppercaseRequired()

      Gets whether uppercase letters are required in password.
      Returns:
        `true` if uppercase letters are required

    - #### setUppercaseRequired

          public void setUppercaseRequired(boolean value)

      Sets whether uppercase letters are required in password.
      Parameters:
        `value` - if `true` uppercase letters are required; `false` otherwise

    - #### isLowercaseRequired

          public boolean isLowercaseRequired()

      Gets whether lowercase letters are required in password.
      Returns:
        `true` if lowercase letters are required

    - #### setLowercaseRequired

          public void setLowercaseRequired(boolean value)

      Sets whether lowercase letters are required in password.
      Parameters:
        `value` - if `true` lowercase letters are required; `false` otherwise

    - #### isNumericRequired

          public boolean isNumericRequired()

      Gets whether numeric values are required in password.
      Returns:
        `true` if numeric values are required

    - #### setNumericRequired

          public void setNumericRequired(boolean value)

      Sets whether numeric values are required in password.
      Parameters:
        `value` - if `true` numeric values are required; `false` otherwise

    - #### isNonAlphaNumericRequired

          public boolean isNonAlphaNumericRequired()

      Gets whether non-alpha-numeric characters are required in password.
      Returns:
        `true` if non-alpha-numeric characters are required

    - #### setNonAlphaNumericRequired

          public void setNonAlphaNumericRequired(boolean value)

      Sets whether non-alpha-numeric characters are required in password.
      Parameters:
        `value` - if `true` non-alpha-numeric characters are required; `false` otherwise

    - #### isNonCompliantPasswordLoginDenied

          public boolean isNonCompliantPasswordLoginDenied()

      Gets whether login is denied if user uses a non-compliant password.
      Returns:
        `true` if login is denied

    - #### setNonCompliantPasswordLoginDenied

          public void setNonCompliantPasswordLoginDenied(boolean value)

      Sets whether login is denied if user uses a non-compliant password.
      Parameters:
        `value` - if `true` login is denied; `false` otherwise

    - #### isFirstTimeLoginResetPasswordRequired

          public boolean isFirstTimeLoginResetPasswordRequired()

      Gets whether users forced to reset password at first time that they logs in.
      Returns:
        `true` force to reset password

    - #### setFirstTimeLoginResetPasswordRequired

          public void setFirstTimeLoginResetPasswordRequired(boolean value)

      Sets whether users forced to reset password at first time that they logs in.
      Parameters:
        `value` - if `true` force to reset password; `false` otherwise

    - #### getUsernamePattern

          public java.lang.String getUsernamePattern()

      Gets a regular expression to enforce username requirements.
      Returns:
        regular expression

    - #### setUsernamePattern

          public void setUsernamePattern(java.lang.String value)

      Sets a regular expression to enforce username requirements.
      Parameters:
        `value` - regular expression

    - #### assertLengthValid

          public void assertLengthValid(char[] password)
                                 throws PasswordServiceDescriptor.PasswordNotCompliantException

      Throws:
        `PasswordServiceDescriptor.PasswordNotCompliantException`

    - #### assertUppercaseIncluded

          public void assertUppercaseIncluded(char[] password)
                                       throws PasswordServiceDescriptor.PasswordNotCompliantException

      Throws:
        `PasswordServiceDescriptor.PasswordNotCompliantException`

    - #### assertLowercaseIncluded

          public void assertLowercaseIncluded(char[] password)
                                       throws PasswordServiceDescriptor.PasswordNotCompliantException

      Throws:
        `PasswordServiceDescriptor.PasswordNotCompliantException`

    - #### assertNumericIncluded

          public void assertNumericIncluded(char[] password)
                                     throws PasswordServiceDescriptor.PasswordNotCompliantException

      Throws:
        `PasswordServiceDescriptor.PasswordNotCompliantException`

    - #### assertNonAlphaNumericIncluded

          public void assertNonAlphaNumericIncluded(char[] password)
                                             throws PasswordServiceDescriptor.PasswordNotCompliantException

      Throws:
        `PasswordServiceDescriptor.PasswordNotCompliantException`

    - #### assertNotRepeated

          public void assertNotRepeated(char[] password,
                                        Account account)
                                 throws PasswordServiceDescriptor.PasswordRepeatedException

      Throws:
        `PasswordServiceDescriptor.PasswordRepeatedException`

    - #### assertUsernameCompliant

          public void assertUsernameCompliant(java.lang.String username)
                                       throws PasswordServiceDescriptor.UsernameNotCompliantException

      Throws:
        `PasswordServiceDescriptor.UsernameNotCompliantException`

    - #### copy

          public Configuration copy()

      Specified by:
        `copy` in class `Configuration`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2009-2022. Redwood Software Inc. All rights reserved.